<template>
    <ul :class="['product-cart__list', { 'product-cart__list--grid': pageIsProducts }]">
        <li v-for="(option, index) in options" :key="index" class="product-cart__item">
            <NuxtLink :to="{ path: `/products/${option.id}`, query: {slug: option.slug}}" class="product-cart__link">
                <span  v-if="option.price_old !== '0.00'" class="product-cart__img--percent">{{option.discount_percent}}%</span>
                <img :src="option.images ? option.images[0].url: 'https://upload.wikimedia.org/wikipedia/commons/8/84/Nothing_silhouette.jpg'" :alt="option.images ? option.images[0].name : 'dafault-image'" class="product-cart__img">
                <p class="product-cart__name">{{ option.name }}</p>
                <p class="product-cart__price">
                    <span
                        :class="['product-cart__price--standart', { 'product-cart__price--old': option.price_old !== '0.00' }]">
                        {{option.price}}
                    </span>
                    <span v-if="option.price_old !== '0.00'" class="product-cart__price--new">{{ option.price_old }}</span>
                </p>
            </NuxtLink>
        </li>
    </ul>
</template>

<script setup>

const pageIsProducts = ref(false);

let route = useRoute();




const props = defineProps({
    options: {
        type: [Array, Object],
        default: () => []
    },
    customClass: {
        type: String,
        default: "",
    }
});




onMounted(() => {

    let pageWay = route.path

    if (pageWay === "/products") {

        pageIsProducts.value = true

    } else {
        pageIsProducts.value = false
    }
});


</script>